Bug 140215 - editors/openoffice.org-3: Fatal error on OpenOffice closing
Summary: editors/openoffice.org-3: Fatal error on OpenOffice closing
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-openoffice (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-11-02 10:20 UTC by stant
Modified: 2011-02-13 07:35 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description stant 2009-11-02 10:20:04 UTC
[New Thread 0x2a701260 (LWP 100306)]
[New Thread 0x2a701150 (LWP 100301)]
[New Thread 0x2a701040 (LWP 100186)]
[Switching to Thread 0x2a701260 (LWP 100306)]
0x285441a7 in __error () from /lib/libthr.so.3
#0  0x285441a7 in __error () from /lib/libthr.so.3
#1  0x28543d88 in __error () from /lib/libthr.so.3
#2  0x2a795d20 in ?? ()
#3  0x00000008 in ?? ()
#4  0x00000001 in ?? ()
#5  0x2a795d00 in ?? ()
#6  0xbf8fde8c in ?? ()
#7  0xbf8fde24 in ?? ()
#8  0x28bd0e00 in ?? ()
#9  0x285426df in pthread_setcancelstate () from /lib/libthr.so.3
#10 0x28541f7d in pthread_cond_signal () from /lib/libthr.so.3
#11 0x28094370 in osl_waitCondition ()
   from /usr/local/openoffice.org-3.1.1/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3
#12 0x2958b136 in vos::OCondition::wait ()
   from /usr/local/openoffice.org-3.1.1/openoffice.org3/program/../basis-link/program/libvos3gcc3.so
#13 0x29591b85 in vos::OTimerManager::run ()
   from /usr/local/openoffice.org-3.1.1/openoffice.org3/program/../basis-link/program/libvos3gcc3.so
#14 0x2958f974 in vos::threadWorkerFunction_impl ()
   from /usr/local/openoffice.org-3.1.1/openoffice.org3/program/../basis-link/program/libvos3gcc3.so
#15 0x2809765c in osl_resumeThread ()
   from /usr/local/openoffice.org-3.1.1/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3
#16 0x285396ff in pthread_getprio () from /lib/libthr.so.3
#17 0x00000000 in ?? ()

How-To-Repeat: Install openoffice.org-3 from ports. Load odt file, then close application.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2009-11-02 10:54:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->openoffice

Fix synopsis and assign.
Comment 2 Bengt Ahlgren 2009-11-29 21:12:07 UTC
I have the same problem with openoffice-3.1.1 crashing on exit on
7.2-REL (amd64).  To me it seems to be an old bug with the systray
quickstarter when running KDE that has not been solved (or has crept
up again).

I found two ways to solve the problem:

1. Turn the systray quickstarter off:
Tools->Options->OpenOffice.org->Memory, and uncheck "Enable systray
Quickstarter".

2. If you want the quickstarter, set the environment variable
OO_FORCE_DESKTOP to either "none" or "gnome".  See
http://wiki.services.openoffice.org/wiki/Environment_Variables.  But
then you also get the Gnome style UI even if you defined WITH_KDE when
compiling openoffice (like I did).
Comment 3 Bengt Ahlgren 2009-11-29 21:17:21 UTC
and... this is a dup of ports/138144!
Comment 4 Bengt Ahlgren 2009-11-29 22:39:47 UTC
Bengt Ahlgren <bengta@sics.se> writes:

> 2. If you want the quickstarter, set the environment variable
> OO_FORCE_DESKTOP to either "none" or "gnome".  See

Sorry, that should be OOO_FORCE_DESKTOP.
Comment 5 Martin Wilke freebsd_committer 2011-02-13 07:35:09 UTC
State Changed
From-To: open->closed

this report can be close because, these version no longer supported in 
FreeBSD ports.